cluster_fast_greedy {igraph} | R Documentation

## Community structure via greedy optimization of modularity

### Description

This function tries to find dense subgraph, also called communities in graphs via directly optimizing a modularity score.

### Usage

    cluster_fast_greedy(graph, merges = TRUE, modularity = TRUE,
      membership = TRUE, weights = E(graph)$weight)

### Arguments

`graph` | The input graph
`merges` | Logical scalar, whether to return the merge matrix.
`modularity` | Logical scalar, whether to return a vector containing the modularity after each merge.
`membership` | Logical scalar, whether to calculate the membership vector corresponding to the maximum modularity score, considering all possible community structures along the merges.
`weights` | If not `NULL`, then a numeric vector of edge weights. The length must match the number of edges in the graph. By default the ‘`weight`’ edge attribute is used as weights. If it is not present, then all edges are considered to have the same weight. Larger edge weights correspond to stronger connections.

### Details

This function implements the fast greedy modularity optimization algorithm for finding community structure, see A Clauset, MEJ Newman, C Moore: Finding community structure in very large networks, http://www.arxiv.org/abs/cond-mat/0408187 for the details.

### Value

`cluster_fast_greedy` returns a `communities` object, please see the `communities` manual page for details.

### Author(s)

Tamas Nepusz ntamas@gmail.com and Gabor Csardi csardi.gabor@gmail.com for the R interface.

### References

A Clauset, MEJ Newman, C Moore: Finding community structure in very large networks, http://www.arxiv.org/abs/cond-mat/0408187

### See Also

`communities` for extracting the results.

See also `cluster_walktrap`, `cluster_spinglass`, `cluster_leading_eigen` and `cluster_edge_betweenness` for other methods.

### Examples

    g <- make_full_graph(5) %du% make_full_graph(5) %du% make_full_graph(5)
    g <- add_edges(g, c(1,6, 1,11, 6, 11))
    fc <- cluster_fast_greedy(g)
    membership(fc)
    sizes(fc)

[Package igraph version 1.1.2 Index]